c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine signal_handler()
      implicit none
      include 'signals.inc'
      external actionint
      external actioncont
      external actionimg

      call signal(sigint,actionint)
      call signal(sigcont,actioncont)
      call signal(sigimg,actionimg)

      return
      end


      subroutine actionint()
      implicit none
      call screen(38,0,0,0.0D+0,0.0D+0)
      stop
      end


      subroutine actioncont()
      implicit none
      call screen(39,0,0,0.0D+0,0.0D+0)
      return
      end


      subroutine actionimg()
      implicit none
      include 'max.inc'
      include 'data.inc'
      integer strlen,n_list,i
      character*20 app
      character*100 command

      open(11,file='bash/n_list')
      read(11,*) n_list
      close(11)
      open(12,file='bash/list')
      if (outv.gt.1) then
         do i=1,outv-1
            read(12,*)
         enddo
      endif
      read(12,*) app
      close(12)
      command=app(1:strlen(app))//' ./data/.kar_fer &'
      call system(command(1:strlen(command)))

      return
      end
